@model IEnumerable<FERZid.Models.Segment>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Segmenti</h2>

<div class="row" style="padding-top:20px;">
    <button class="btn btn-info" type="button" id="addressSearch" onclick="location.href='@Url.Action("Create", "Segment")'">
        <span class="glyphicon glyphicon-plus"></span> Dodaj segment
    </button>
    <table class="table" id="segment">
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.KoordinataX)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.KoordinataY)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Visina)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Sirina)
                </th>
                <th>
                    Lokacija zida
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.KoordinataX)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.KoordinataY)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Visina)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Sirina)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.IdzidaNavigation.Lokacija)
                    </td>
                    <td>
                        <div class="btn-group">
                            <button class="btn btn-default">
                                <a asp-action="Edit" asp-route-id="@item.Idsegmenta">
                                    <span class="glyphicon glyphicon-pencil"></span>
                                </a>
                            </button>
                            <button class="btn btn-default">
                                <a asp-action="Details" asp-route-id="@item.Idsegmenta">
                                    <span class="glyphicon glyphicon-zoom-in"></span>
                                </a>
                            </button>
                            <button class="btn btn-default">
                                <a asp-action="Delete" asp-route-id="@item.Idsegmenta">
                                    <span class="glyphicon glyphicon-trash"></span>
                                </a>
                            </button>
                        </div>
                    </td>
                </tr>
            }
        </tbody>
    </table>
 </div>
@section scripts {
    <script>
        $(document).ready(function () {
            $('#segment').DataTable();
        });
    </script>
}